# Knobs

This repo contains a parametric knob generator for quickly generating tactile knobs for standard metric bolts and nuts.

## Example

```scad
use <./scad/knob.scad>;

knob(H = 10, D = 14, DEPTH = 4, BOLT = "M4", TYPE = "hex");

```

This will generate a knob that is 10mm high, has a diameter of 14m and takes M4 hex hardware that sits 4mm from the bottom.
An M4 bolt can be dropped in, or an M4 nut.